.shop24-site-main-wrapper {
  background-color: #eee;
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  scroll-behavior: smooth;
  overflow: hidden;
}


.shop24-header {
  background-color: #333;
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  height: 80px;
}



.shop24-header h1 {
  font-variant: small-caps;
  font-size: 36px;
  margin: 0;
  position: absolute;
  top: 50%;
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  left: 10vw;
  padding: 4px;
  border-radius: 6px;
  color: #fff;
}


.shop24-menu {
  position: absolute;
  top: 80px;
  left: 0px;
  right: 0px;
  height: 40px;
  background-color: #666;
}

.shop24-menu ul {
  position: relative;
  left: 10vw;
  right: 10vw;
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
}

.shop24-menu li {
  display: inline;
}

.shop24-menu li a {
  /* display: block; */
  display: inline-block;
  color: white;
  text-align: center;
  height: 40px;
  padding: 7px 20px;
  text-decoration: none;
  margin-right: 1px;
}

/* Change the link color to #111 (black) on hover */
.shop24-menu li a:hover {
  background-color: #222;
}

.shop24-menu li a.active {
  background-color: #262626;
}



.shop24-main {
  position: absolute;
  top: 120px;
  left: 10vw;
  right: 10vw;
  bottom: 0px;
  background-color: #fff;
  color: #111;
  overflow-y: scroll;
  overflow-x: hidden;
  padding-bottom: 120px;
}


.shop24-image {
  float: left;
  margin: 20px;
  height: 350px;
  width: 350px;
  background-color: #ccc;
  border: 1px solid #aaa;
  border-radius: 20px;
  overflow: hidden;
}

.shop24-image img {
  height: 100%;
  width: 100%;
  object-fit: contain;
  padding: 10px;
}


.shop24-main-info {
  width: fit-content;
  float: left;
}

.shop24-main-info > h1 {
  font-size: 36px;
  font-weight: 600;
  margin-top: 10px;
  margin-bottom: 20px;
  width: fit-content;
  border-radius: 10px;
  color: #000;
}

.shop24-main h2 {
  font-size: 22px;
  margin-top: 0px;
  color: #222;
}


.shop24-color-selection, .shop24-size-selection, .shop24-quick-infos, .shop24-tradein, .shop24-insurance {
  width: fit-content;
  height: fit-content;
  border-radius: 10px;
  padding: 10px
}

.color-selection-name {
  font-weight: 600;
}

.shop24-colorchoice {
  display: inline-block;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  border: 1px solid #ccc;
  margin-right: 12px;
  margin-top: 8px;
}

.shop24-colorchoice:last-of-type {
  margin-right: 0px;
}

.shop24-colorchoice.selected {
  scale: 1.3;
}

.shop24-colorchoice:hover {
  scale: 1.3;
}

.shop24-colorchoice.gold {
  background-color: #b58b1a;
}

.shop24-colorchoice.diamond {
  background-color: #100d73;
}

.shop24-colorchoice.gray {
  background-color: #4f4f4f;
}

.shop24-colorchoice.pink {
  background-color: #67004b;
}



.shop24-sizechoice {
  display: inline-flex;
  justify-content: center;
  align-content: center;
  flex-direction: column;
  width: 100px;
  height: 50px;
  border-radius: 10px;
  border: 1px solid #333;
  margin-right: 12px;
  margin-top: 8px;
  font-size: 16px;
  font-weight: 500;
  text-align: center;
  align-items: center;
}

.shop24-sizechoice:last-of-type {
  margin-right: 0px;
}

.shop24-sizechoice.selected {
  border: 3px solid #111;
  background-color: #eee;
  font-weight: 600;
}




.shop24-current-price {
  position: absolute;
  display: block;
  /* float: right; */
  width: 240px;
  top: 40px;
  right: 10px;
  padding: 10px;
  background-color: #ccc;
  border-radius: 10px;
  /* font-size: 20px; */
}

.shop24-current-price p {
  font-size: 14px;
}

.shop24-current-price h1 {
  font-size: 24px;
  font-weight: 600;
  margin-top: 5px;
  color: #000;
}

.shop24-current-price small {
  font-size: 12px;
}


.shop24-current-price button {
  margin-top: 20px;
  color: #fff;
  background-color: #333;
  border: 1px solid #111;
  width: 100%;
  height: 40px;
  border-radius: 10px;
}

.shop24-tradein > button {
  display: inline;
  width: 300px;
  height: 50px !important;
  border-radius: 10px;
  border: 1px solid #333;
  padding: 4px 20px;
  line-height: 1.1;
  float: left;
  font-weight: 550;
}

.shop24-tradein > button.selected { 
  border: 3px solid #333;
  background-color: #eee;
}

.shop24-tradein > button:first-of-type {
  margin-right: 10px;
}

.shop24-tradein > button > small {
  font-size: 12px;
  font-weight: 400;
}


.shop24-insurance > button { 
  display: inline;
  width: 300px;
  height: 50px !important;
  border-radius: 10px;
  border: 1px solid #333;
  padding: 4px 20px;
  line-height: 1.1;
  float: left;
  font-weight: 550;
}

.shop24-insurance > button.selected { 
  border: 3px solid #333;
  background-color: #eee;
}

.shop24-insurance > button:first-of-type {
  margin-right: 10px;
}

.shop24-insurance > button > small {
  font-size: 12px;
  font-weight: 400;
}




.shop24-main > p {
  margin-left: 20px;
  margin-right: 20px;
}


.shop24-urgency-offer {
  width: 100%;
  height: 30px;
  background-color: #ddd;
  padding-top: 4px;
  font-size: 14px;
  text-align: center;
}

.shop24-countdown {
  display: inline-block;
}